org.apache.geode.management

## Class DependenciesNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.management.DependenciesNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class DependenciesNotFoundException
      extends GemFireException

  Indicates that required dependencies were not found in the ClassPath.
  Since:
    GemFire 7.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependenciesNotFoundException(java.lang.String message)` Constructs a new DependenciesNotFoundException with the specified detail message.
    `DependenciesNotFoundException(java.lang.String message, java.lang.Throwable cause)` Constructs a new DependenciesNotFoundException with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DependenciesNotFoundException

          public DependenciesNotFoundException(java.lang.String message,
                                               java.lang.Throwable cause)

      Constructs a new DependenciesNotFoundException with the specified detail message and cause. Note that the detail message associated with `cause` is not automatically incorporated in this runtime exception's detail message.
      Parameters:
        `message` - The detail message.
        `cause` - The cause of this exception or `null` if the cause is unknown.

    - #### DependenciesNotFoundException

          public DependenciesNotFoundException(java.lang.String message)

      Constructs a new DependenciesNotFoundException with the specified detail message.
      Parameters:
        `message` - The detail message.